Search for test

  1. Search 7.x for test
  2. Search 9.5.x for test
  3. Search 10.3.x for test
  4. Search 11.x for test
  5. Search main for test
  6. Other projects

Exact matches

These are exact matches according to your search
Title Object type File name Summary
Test class core/modules/media/tests/modules/media_test_source/src/Plugin/media/Source/Test.php Provides test media source.
Test class core/modules/system/tests/modules/test_page_test/src/Controller/Test.php Defines a test controller for page titles.

All search results

Title Object type File name Summary
RESTTestBase::$testEntityType property core/modules/rest/src/Tests/RESTTestBase.php The entity type to use for testing.
RESTTestBase::assertResponse function core/modules/rest/src/Tests/RESTTestBase.php Asserts the page responds with the specified response code.
RESTTestBase::assertResponseBody function core/modules/rest/src/Tests/RESTTestBase.php Check to see if the HTTP request response body is identical to the expected
value.
RESTTestBase::configEntityValues function core/modules/rest/src/Tests/RESTTestBase.php Provides an array of suitable property values for a config entity type.
RESTTestBase::cookies function core/modules/rest/src/Tests/RESTTestBase.php Calculates cookies used by guzzle later.
RESTTestBase::curlExec function core/modules/rest/src/Tests/RESTTestBase.php This method is overridden to deal with a cURL quirk: the usage of
CURLOPT_CUSTOMREQUEST cannot be unset on the cURL handle, so we need to
override it every time it is omitted.
RESTTestBase::drupalGetHeader function core/modules/rest/src/Tests/RESTTestBase.php Gets the value of an HTTP response header.
RESTTestBase::drupalGetHeaders function core/modules/rest/src/Tests/RESTTestBase.php Gets the HTTP response headers of the requested page.
RESTTestBase::enableService function core/modules/rest/src/Tests/RESTTestBase.php Enables the REST service interface for a specific entity type.
RESTTestBase::entityCreate function core/modules/rest/src/Tests/RESTTestBase.php Creates entity objects based on their types.
RESTTestBase::entityPermissions function core/modules/rest/src/Tests/RESTTestBase.php Provides the necessary user permissions for entity operations.
RESTTestBase::entityValues function core/modules/rest/src/Tests/RESTTestBase.php Provides an array of suitable property values for an entity type.
RESTTestBase::httpRequest function core/modules/rest/src/Tests/RESTTestBase.php Helper function to issue a HTTP request with simpletest's cURL.
RESTTestBase::isConfigEntity function core/modules/rest/src/Tests/RESTTestBase.php Checks if an entity type id is for a Config Entity.
RESTTestBase::loadEntityFromLocationHeader function core/modules/rest/src/Tests/RESTTestBase.php Loads an entity based on the location URL returned in the location header.
RESTTestBase::rebuildCache function core/modules/rest/src/Tests/RESTTestBase.php Rebuilds routing caches.
RESTTestBase::removeNodeFieldsForNonAdminUsers function core/modules/rest/src/Tests/RESTTestBase.php Remove node fields that can only be written by an admin user.
RESTTestBase::setUp function core/modules/rest/src/Tests/RESTTestBase.php Sets up a Drupal site for running functional and integration tests.
RestTestConstraint class core/modules/rest/tests/modules/rest_test/src/Plugin/Validation/Constraint/RestTestConstraint.php Adds some validations for a REST test field.
RestTestConstraint.php file core/modules/rest/tests/modules/rest_test/src/Plugin/Validation/Constraint/RestTestConstraint.php
RestTestConstraint::$message property core/modules/rest/tests/modules/rest_test/src/Plugin/Validation/Constraint/RestTestConstraint.php
RestTestConstraintValidator class core/modules/rest/tests/modules/rest_test/src/Plugin/Validation/Constraint/RestTestConstraintValidator.php Validator for \Drupal\rest_test\Plugin\Validation\Constraint\RestTestConstraint.
RestTestConstraintValidator.php file core/modules/rest/tests/modules/rest_test/src/Plugin/Validation/Constraint/RestTestConstraintValidator.php
RestTestConstraintValidator::validate function core/modules/rest/tests/modules/rest_test/src/Plugin/Validation/Constraint/RestTestConstraintValidator.php
rest_test.authentication.test_auth service core/modules/rest/tests/modules/rest_test/rest_test.services.yml Drupal\rest_test\Authentication\Provider\TestAuth
rest_test.authentication.test_auth_global service core/modules/rest/tests/modules/rest_test/rest_test.services.yml Drupal\rest_test\Authentication\Provider\TestAuthGlobal
rest_test.encoder.foobar service core/modules/rest/tests/modules/rest_test/rest_test.services.yml Drupal\serialization\Encoder\JsonEncoder
rest_test.info.yml file core/modules/rest/tests/modules/rest_test/rest_test.info.yml core/modules/rest/tests/modules/rest_test/rest_test.info.yml
rest_test.module file core/modules/rest/tests/modules/rest_test/rest_test.module Contains hook implementations for testing REST module.
rest_test.page_cache_request_policy.deny_test_auth_requests service core/modules/rest/tests/modules/rest_test/rest_test.services.yml Drupal\rest_test\PageCache\RequestPolicy\DenyTestAuthRequests
rest_test.services.yml file core/modules/rest/tests/modules/rest_test/rest_test.services.yml core/modules/rest/tests/modules/rest_test/rest_test.services.yml
rest_test_entity_base_field_info function core/modules/rest/tests/modules/rest_test/rest_test.module Implements hook_entity_base_field_info().
rest_test_entity_field_access function core/modules/rest/tests/modules/rest_test/rest_test.module Implements hook_entity_field_access().
rest_test_views.info.yml file core/modules/rest/tests/modules/rest_test_views/rest_test_views.info.yml core/modules/rest/tests/modules/rest_test_views/rest_test_views.info.yml
rest_test_views.module file core/modules/rest/tests/modules/rest_test_views/rest_test_views.module Test hook implementations for the REST views test module.
rest_test_views_views_post_execute function core/modules/rest/tests/modules/rest_test_views/rest_test_views.module Implements hook_views_post_execute().
ResultTest class core/modules/views/tests/src/Unit/Plugin/area/ResultTest.php @coversDefaultClass \Drupal\views\Plugin\views\area\Result[[api-linebreak]]
@group views
ResultTest.php file core/modules/views/tests/src/Unit/Plugin/area/ResultTest.php
ResultTest::$resultHandler property core/modules/views/tests/src/Unit/Plugin/area/ResultTest.php The Result handler.
ResultTest::$view property core/modules/views/tests/src/Unit/Plugin/area/ResultTest.php The view executable object.
ResultTest::providerTestResultArea function core/modules/views/tests/src/Unit/Plugin/area/ResultTest.php Data provider for testResultArea.
ResultTest::setUp function core/modules/views/tests/src/Unit/Plugin/area/ResultTest.php
ResultTest::setupViewPager function core/modules/views/tests/src/Unit/Plugin/area/ResultTest.php Sets up a mock pager on the view executable object.
ResultTest::testQuery function core/modules/views/tests/src/Unit/Plugin/area/ResultTest.php Tests the query method.
ResultTest::testResultArea function core/modules/views/tests/src/Unit/Plugin/area/ResultTest.php Tests the rendered output of the Result area handler.
RetrieveFileTest class core/modules/system/tests/src/Functional/System/RetrieveFileTest.php Tests HTTP file fetching and error handling.
RetrieveFileTest.php file core/modules/system/tests/src/Functional/System/RetrieveFileTest.php
RetrieveFileTest::$defaultTheme property core/modules/system/tests/src/Functional/System/RetrieveFileTest.php The theme to install as the default for testing.
RetrieveFileTest::testFileRetrieving function core/modules/system/tests/src/Functional/System/RetrieveFileTest.php Invokes system_retrieve_file() in several scenarios.
ReverseProxyMiddlewareTest class core/tests/Drupal/Tests/Core/StackMiddleware/ReverseProxyMiddlewareTest.php Unit test the reverse proxy stack middleware.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.